<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'guest';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
//
$id = intval($_GET['id']);


//

###################################################
if (!$user_id){ echo 'Только зарегистрированные пользователи могут загружать файлы.';
print '<div class="list1"><a href="index.php">Загрузки</a></div>';
require_once ("moduls/foot.php");
exit;
}
###################ГЛАВНОЕ МЕНЮ####################
switch($_GET['action']){
default:
$all = mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM `partner_users` WHERE `vyplata` = 1"));
$all1 = mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM `partner_tiket` WHERE `adm` = 0"));
echo '<div class="list2">Выгрузка файлов</div><div class="list1">
<a href="upload.php?action=upload">Upload</a><br/>
<a href="files.php?id='.$user_id.'">Мои файлы</a>
</div>';
break;




#####################################АПЛОАД###################################################
case 'upload':
if(!$_POST)
{
$dirs = mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `size` = 0');

echo '<div class="gmenu">Upload файлов (max '.ini_get('upload_max_filesize').')</div>
<div class="list1">
Сохранить в:<br/>
<form action="upload.php?action=upload" method="post" enctype="multipart/form-data">
<select class="buttom" size="1" width="70" name="topath"><option value="'.$setup['path'].'/">./</option>';
while($item = mysql_fetch_assoc($dirs))
{
$name = str_replace($setup['path'].'/','',$item['path']);
$path = explode('/',$name);
$option = '';
unset($path[sizeof($path)-1]);
foreach($path as $value)
{
if(strpos($value , '!') !== false) $name = trans($value); else $name = $value;
$option = $option.$name.'/';
}
echo '<option value="'.$item['path'].'">'.$option.'</option>';
}
echo '</select><br/>
Файл *:<br/>
<input name="userfile" type="file"/><br/>
Скрин:<br/>
<input name="scr" type="file"/><br/>
Название *:<br/>
<input name="name" type="text" value=""></input><br/>
Описание *:<br/>
<textarea name="text" cols="24" rows="6"></textarea><br/><br/>
<input class="buttom" type="submit" value="Добавить"/>
</form></div>';
}
else
{
$newpath = trim($_POST['topath']);
if(empty($newpath)) die ('Нет конечного пути! '.$newpath);
if($_POST['text']=='' OR $_POST['name']=='')die ('Заполните все поля.');
$name = $_FILES['userfile']['name'];
$ex = pathinfo($name);
$ext=strrchr($name,'.');
$ext2 = explode(".", $name);
$tname=rand(100000000,123456789).$user_id.$ext;
$to = 'temp/'.$tname;
$namef=clean($_POST['name']);
$about=clean($_POST['text']);
if($ext=='php' or $ext=='php3' or $ext=='php4' or $ext=='php5' or $ext=='php6' or $ext=='phtml' or $ext=='cgi' or $ext=='asp' or $ext=='js' or $ext=='phtm' or $ext=='py' or $ext=='pl' or count($ext2) != 2) die ($setup[hackmess]);
         // Проверяем, не повторяется ли файл?
        $req = mysql_query("SELECT `name` FROM `files` WHERE `user_id` = '".$user_id."' ORDER BY `timeupload` DESC");
        if (mysql_num_rows($req) > 0) 
          {
          $res = mysql_fetch_array($req);
                if ($namef == $res['name'])
                  {
                   die ('Такое название файла уже есть.');
                  }
          }
if(move_uploaded_file($_FILES['userfile']['tmp_name'],$to )){
$size=filesize($to);
if($size==0) die ('Размер файла не может равнятся 0.<br/>');  else  echo 'Файл успешно добавлен.<br/>';
$query = mysql_query("INSERT INTO `".$setup['pref']."files` (`path`, `name`, `infolder`, `size`, `about`, `timeupload`, `user_id`, `open`, `tname`) VALUES ('$to', '$namef', '$newpath', '$size', '$about', '$time', '$user_id', 1, '$ext');");
echo 'Описание успешно добавлено.<br/>';
chmod($to, 0644); 
/*
if($_POST['text']!=''){  //описание
$file_f='temp/'.$tname.'.txt';
$fp = fopen($file_f,"w+"); //Создаем файл
flock ($fp,LOCK_EX);
fputs($fp,bbcode(clean($_POST['text'])));
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
echo 'Описание успешно добавлено.<br/>';
}
*/
$name2 = $_FILES['scr']['name'];
$ex = pathinfo($name2);
$ext2 = strtolower($ex['extension']);
$ext3 = explode(".", $name2);
$to = 'temp/'.$tname.'.gif';
if($ext2!='gif' && $ext2!='GIF' && $ext2!='jpg' && $ext2!='jpe' && $ext2!='jpeg' && $ext2!='png' or count($ext3) != 2) echo 'Поддерживаются скриншоты только gif, jpeg, png форматов';
else{
if(file_exists($to)) die('Файл уже существует');
chmod($setup['spath'], 0777);
if(move_uploaded_file($_FILES['scr']['tmp_name'], $to)){
echo 'Закачка скрина прошла успешно.<br/>';

chmod($to,0666);

if($ext2=='jpg' || $ext2=='jpe' || $ext2=='jpeg'){
$im = imagecreatefromjpeg($to);
imagegif($im,$to);
imagedestroy($im);
}
elseif($ext2=='png'){
$im = imagecreatefrompng($to);
imagegif($im,$to);
imagedestroy($im);
}
}

else{
echo 'Закачка скрина окончилась неудачно.<br/>';
}}

}
else echo 'Закачка файла '.$name.' окончилась неудачно.<br/>';

chmod($newpath, 0777);
}
break;



}
######################################НОСОК##################################################
if($_GET['action']){
echo '<div class="list1"><a href="upload.php">Меню загрузки</a></div>';
}
echo '<div class="bmenu"><a href="/">Главная</a><br/><a href="index.php">Загрузки</a></div>';
require_once ("moduls/foot.php");
?>